> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.perkss.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.perkss.io/_mcp/server.

# Adjustment

POST /api/v1/customers/{customerId}/adjustment
Content-Type: application/json

Reference: https://docs.perkss.io/api-reference/perkss-partner-api/transactions/adjustment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /api/v1/customers/{customerId}/adjustment:
    post:
      operationId: adjustment
      summary: Adjustment
      tags:
        - transactions
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transactions_adjustment_Response_201'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1AdjustmentDto'
components:
  schemas:
    V1AdjustmentDto:
      type: object
      properties:
        stampDelta:
          type: number
          format: double
          description: >-
            Stamp correction (positive grants, negative removes). Mutually
            exclusive with amountCents; 0 is treated as omitted. A positive
            grant counts as a visit.
        amountCents:
          type: number
          format: double
          description: >-
            Cashback balance correction in cents (positive credits, negative
            debits). Mutually exclusive with stampDelta; 0 is treated as
            omitted.
        reason:
          type: string
          description: Why this adjustment was made — required for the audit trail.
      required:
        - reason
      title: V1AdjustmentDto
    Transactions_adjustment_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: Transactions_adjustment_Response_201
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{
  "reason": "Goodwill credit for delayed order"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/api/v1/customers/customerId/adjustment"

payload = { "reason": "Goodwill credit for delayed order" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/api/v1/customers/customerId/adjustment';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"reason":"Goodwill credit for delayed order"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/api/v1/customers/customerId/adjustment"

	payload := strings.NewReader("{\n  \"reason\": \"Goodwill credit for delayed order\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/api/v1/customers/customerId/adjustment")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reason\": \"Goodwill credit for delayed order\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/customers/customerId/adjustment")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"reason\": \"Goodwill credit for delayed order\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.example.com/api/v1/customers/customerId/adjustment', [
  'body' => '{
  "reason": "Goodwill credit for delayed order"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/api/v1/customers/customerId/adjustment");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reason\": \"Goodwill credit for delayed order\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["reason": "Goodwill credit for delayed order"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/customers/customerId/adjustment")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```